Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.connection.transport.https
Interface SSLAdapter

All Known Implementing Classes:
  JdkSSLAdapter, WlsSSLAdapter

    public interface SSLAdapter

SSLAdapter.java Created: Mon Apr 8 18:59:42 2002

Method Summary
`HttpURLConnection` | `openConnection(URL url, Proxy proxy, weblogic.wsee.connection.transport.TransportInfo info)` This method is called by Server Internal Implementaion on the implementation class of this interface.
`void` | `setClientCert(String alias, char[] password)`
`void` | `setKeystore(String location, char[] password, String type)`

Method Detail

### openConnection

    HttpURLConnection openConnection(URL url,
                                     Proxy proxy,
                                     weblogic.wsee.connection.transport.TransportInfo info)
                                     throws IOException

  This method is called by Server Internal Implementaion on the implementation class of this interface. during the WSDL/Webservice invocation call

  Parameters:
    `url` - URL object which represents the end point.
    `proxy` - Proxy object which represents proxy server's details.
    `info` -
  Returns:
  Throws:
    `IOException`

### setClientCert

    void setClientCert(String alias,
                       char[] password)
                       throws KeyStoreException,
                              NoSuchAlgorithmException,
                              UnrecoverableEntryException

  Parameters:
    `alias` - alias of the privatekey in the keystore.
    `password` - password for the privatekey.
  Throws:
    `KeyStoreException`
    `NoSuchAlgorithmException`
    `UnrecoverableEntryException`

### setKeystore

    void setKeystore(String location,
                     char[] password,
                     String type)

  Parameters:
    `location` - keystore location as string.
    `password` - password of the keystore.
    `type` - keystore type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD